<?php
	define('QUERY_LIMIT', 10);
	
	//Variables for Defining Filtering if the user is not logged in
	if (!isset($_SESSION['loggedIn'])) {
		$cond = "where ticketVisi = 1";
		$supp = "and ticketVisi = 1";
	}
	else {
		$cond = $supp = "";
	}
	
	/*
		Query Set 1 - Parent Count Gathering Queries
		
		Query 1:
		Grab all distinct categories from the data table and the number of them
		
		Query 2:
		Grab all distinct priorities from the data table and the number of them
		
		Query 3:
		Grab all distinct statuses from the data table and the number of them
		
		Database Designers Note:
		This system is utterly horrible as it does not enforce any kind of referential integrity or foreign key contraints. A concise effort
		should be made to redesign the database so that categories and priorities and status' are referenced properly/
	*/

	define('QUERY_1', "select distinct PCatagory, count(PCatagory) as c from " . DB_PREFIX . "data $cond group by PCatagory");
	define('QUERY_2', "select distinct priority, count(priority) as c from " . DB_PREFIX . "data $cond group by priority");
	define('QUERY_3', "select distinct status, count(status) as c from " . DB_PREFIX . "data $cond group by status");
	
	/*
		Query Set 2 - LIMIT Selection Conditional Queries
		
		All Queries here are defined only if a certain variable is present - in _GET
	*/
	if (isset($_GET['item']) && empty($_GET['item'])) $_GET['item'] = '';
	
	if (isset($_GET['item']) && !isset($_GET['limit'])) {
		define('QUERY_4', "select id, descrip from " . DB_PREFIX . "data where PCatagory = '" . mysql_real_escape_string($_GET['item']) . "' $supp LIMIT " . QUERY_LIMIT);
		define('QUERY_5', "select id, descrip from " . DB_PREFIX . "data where priority = '" . mysql_real_escape_string($_GET['item']) . "' $supp LIMIT " . QUERY_LIMIT);
		define('QUERY_6', "select id, descrip from " . DB_PREFIX . "data where status = '" . mysql_real_escape_string($_GET['item']) . "' $supp LIMIT " . QUERY_LIMIT);
	}
	elseif (isset($_GET['item'])) {
		define('QUERY_4', "select id, descrip from " . DB_PREFIX . "data where PCatagory = '" . mysql_real_escape_string($_GET['item']) . "' $supp");
		define('QUERY_5', "select id, descrip from " . DB_PREFIX . "data where priority = '" . mysql_real_escape_string($_GET['item']) . "' $supp");
		define('QUERY_6', "select id, descrip from " . DB_PREFIX . "data where status = '" . mysql_real_escape_string($_GET['item']) . "' $supp");
	}
?>